<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Urban Filehub</title>

        @yield('head')

        <link rel="stylesheet" href="/css/bootstrap.css" />
    </head>
    <body>
        <div>
            @if (Route::has('login'))
                <div>
                    @auth
                        <a href="{{ url('/home') }}" class="text-sm text-gray-700 underline">Home</a>
                    @else
                        <a href="{{ route('login') }}" class="text-sm text-gray-700 underline">Login</a>
                        @if (Route::has('register'))
                            <a href="{{ route('register') }}" class="ml-4 text-sm text-gray-700 underline">Register</a>
                        @endif
                    @endauth
                </div>
            @endif
        </div>

        <section class="section">
            <div class="container is-fluid mt-3 mb-4">
                <urban-accordion>
                    <div title="Send me a Link">
                        <urban-login-email></urban-login-email>
                    </div>
                    <div title="Login with Password">
                        <urban-login-password></urban-login-password>
                    </div>
                </urban-accordion>
            </div>
        </section>

        <main>
            @yield('main')
        </main>

        <script type="text/javascript" src="/js/bootstrap.js"></script>
        @stack('scripts')
    </body>
</html>